OpenTTD: YAPFSettings Struct Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
YAPFSettings Struct Reference

Settings related to the yet another pathfinder. More...

`#include <settings_type.h>`

## Data Fields
bool | disable_node_optimization
| whether to use exit-dir instead of trackdir in node key
uint32 | max_search_nodes
| stop path-finding when this number of nodes visited
uint32 | maximum_go_to_depot_penalty
| What is the maximum penalty that may be endured for going to a depot.
bool | ship_use_yapf
| use YAPF for ships
bool | road_use_yapf
| use YAPF for road
bool | rail_use_yapf
| use YAPF for rail
uint32 | road_slope_penalty
| penalty for up-hill slope
uint32 | road_curve_penalty
| penalty for curves
uint32 | road_crossing_penalty
| penalty for level crossing
uint32 | road_stop_penalty
| penalty for going through a drive-through road stop
uint32 | road_stop_occupied_penalty
| penalty multiplied by the fill percentage of a drive-through road stop
uint32 | road_stop_bay_occupied_penalty
| penalty multiplied by the fill percentage of a road bay
bool | rail_firstred_twoway_eol
| treat first red two-way signal as dead end
uint32 | rail_firstred_penalty
| penalty for first red signal
uint32 | rail_firstred_exit_penalty
| penalty for first red exit signal
uint32 | rail_lastred_penalty
| penalty for last red signal
uint32 | rail_lastred_exit_penalty
| penalty for last red exit signal
uint32 | rail_station_penalty
| penalty for non-target station tile
uint32 | rail_slope_penalty
| penalty for up-hill slope
uint32 | rail_curve45_penalty
| penalty for curve
uint32 | rail_curve90_penalty
| penalty for 90-deg curve
uint32 | rail_depot_reverse_penalty
| penalty for reversing in the depot
uint32 | rail_crossing_penalty
| penalty for level crossing
uint32 | rail_look_ahead_max_signals
| max. number of signals taken into consideration in look-ahead load balancer
int32 | rail_look_ahead_signal_p0
| constant in polynomial penalty function
int32 | rail_look_ahead_signal_p1
| constant in polynomial penalty function
int32 | rail_look_ahead_signal_p2
| constant in polynomial penalty function
uint32 | rail_pbs_cross_penalty
| penalty for crossing a reserved tile
uint32 | rail_pbs_station_penalty
| penalty for crossing a reserved station tile
uint32 | rail_pbs_signal_back_penalty
| penalty for passing a pbs signal from the backside
uint32 | rail_doubleslip_penalty
| penalty for passing a double slip switch
uint32 | rail_longer_platform_penalty
| penalty for longer station platform than train
uint32 | rail_longer_platform_per_tile_penalty
| penalty for longer station platform than train (per tile)
uint32 | rail_shorter_platform_penalty
| penalty for shorter station platform than train
uint32 | rail_shorter_platform_per_tile_penalty
| penalty for shorter station platform than train (per tile)

## Detailed Description

Settings related to the yet another pathfinder.

Definition at line 373 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h